
Katello - Bug #35676

Python Package Types don't filter out whitespace

10/25/2022 08:15 PM - Ian Ballou

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 4.13.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Creating a Python repo with the following Package Types fails due to the excess whitespace: "bdist_dmg, bdist_dumb, bdist_egg,

bdist_msi, bdist_rpm, bdist_wheel, bdist_wininst, sdist"

We should parse out the whitespace before sending it to the Pulpcore API.

History

#1 - 10/26/2022 05:37 PM - Jeremy Lenz

- Triaged changed from No to Yes

#2 - 02/02/2023 09:58 PM - Ian Ballou

- Target version changed from Katello 4.8.0 to Katello 4.9.0

#3 - 05/26/2023 09:00 PM - Lucy Fu

- Target version changed from Katello 4.9.0 to Katello 4.10.0

#4 - 11/01/2023 05:48 PM - Chris Roberts

- Target version changed from Katello 4.10.0 to Katello 4.11.0

#5 - 12/20/2023 08:58 PM - Ian Ballou

- Target version changed from Katello 4.11.0 to Katello 4.12.0

#6 - 03/27/2024 01:27 PM - Quinn James

- Target version changed from Katello 4.12.0 to Katello 4.13.0

Bumping to 4.13
